/* 
    TowBowlTactics: Strategy game for X11

    Copyright (C) 2001 Pascal Bourut (toweld@rocketmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "Shared.h"

Player* Shared::playground[PLAYGROUND_WIDTH][PLAYGROUND_HEIGHT];
Player* Shared::reserve_box[2][RESERVE_PAGE_H][RESERVE_PAGE_W*RESERVE_PAGE_COUNT];

Shared::Shared(){;}

Shared::~Shared(){;}

void Shared::set_playground(int x,int y, Player* p){
	playground[x][y] = p;
}

Player* Shared::get_playground(int x,int y){
	return playground[x][y];
}
 
void Shared::set_reserve_box(int i, int x,int y, Player* p){
	reserve_box[i][x][y] = p;
}
  
Player* Shared::get_reserve_box(int i,int x,int y){
	return reserve_box[i][x][y];
}
